Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class EngineConfig

    java.lang.Object
      org.eclipse.birt.core.framework.PlatformConfig
          org.eclipse.birt.report.engine.api.EngineConfig

All Implemented Interfaces:
  org.eclipse.birt.core.framework.IPlatformConfig, IEngineConfig

    public class EngineConfig

extends org.eclipse.birt.core.framework.PlatformConfig
implements IEngineConfig

Wraps around configuration settings for report engine. Allows developers to specify where to look for engine plugins, data drivers, and where to write image files. Allows users to customize data-related properties (i.e., data engine). Also allows engine to provide customized implementations for image handling, hyperlink handling and font handling, etc.

Field Summary

Fields inherited from class org.eclipse.birt.core.framework.PlatformConfig
`properties`

Fields inherited from interface org.eclipse.birt.report.engine.api.IEngineConfig
`DEFAULT_RENDER_OPTION, EMITTER_CONFIGS, ENGINE_LOGGER, LOG_DESTINATION, LOG_FILE, LOG_LEVEL, LOG_MAX_BACKUP_INDEX, LOG_ROLLING_SIZE, MAX_ROWS_PER_QUERY, REPORT_DOCUMENT_LOCK_MANAGER, RESOURCE_LOCATOR, RESOURCE_PATH, SCRIPT_OBJECTS, STATUS_HANDLER, TEMP_DIR`

Fields inherited from interface org.eclipse.birt.core.framework.IPlatformConfig
`BIRT_HOME, OSGI_ARGUMENTS, OSGI_CONFIGURATION, PLATFORM_CONTEXT`

Constructor Summary
`EngineConfig()` constructor

Method Summary
`void` | `addScriptableJavaObject(java.lang.String jsName, java.lang.Object obj)` Deprecated. the user need add the object to the appContext directly.
`java.util.HashMap` | `getAppContext()` returns a hash map that contains appContext
`java.util.HashMap` | `getConfigMap()` Deprecated. use getProperties() instead.
`java.lang.String` | `getDefaultEmitter(java.lang.String format)` Gets default emitter id of an output format.
`java.util.HashMap` | `getEmitterConfigs()` gets a map for emitter configuration objects
`java.lang.String` | `getLogDirectory()` Get directory of the log file
`java.lang.String` | `getLogFile()` Get the name of the log file.
`java.util.logging.Logger` | `getLogger()` return the user's logger set through setLogger.
`java.util.logging.Level` | `getLogLevel()` Get the level of the log file
`int` | `getLogMaxBackupIndex()` Returns the value of the MaxBackupIndex option.
`int` | `getLogRollingSize()` Get the maximum number of bytes that the output file is allowed to reach before being rolled over to backup files.
`int` | `getMaxRowsPerQuery()` Deprecated.
`IReportDocumentLockManager` | `getReportDocumentLockManager()` return a lock manager.
`org.eclipse.birt.report.model.api.IResourceLocator` | `getResourceLocator()`
`java.lang.String` | `getResourcePath()`
`java.util.HashMap` | `getScriptObjects()` Deprecated. use getAppContext() instead.
`org.eclipse.birt.core.framework.IPlatformContext` | `getServletContext()` Deprecated. use getPlatformContext instead
`IStatusHandler` | `getStatusHandler()` returns the status handler
`java.lang.String` | `getTempDir()` returns engine temporary directory for temporary files
`void` | `setAppContext(java.util.HashMap appContext)` Set appContext
`void` | `setConfigurationVariable(java.lang.String name, java.lang.String value)` Deprecated. use setProperty() instead.
`void` | `setDefaultEmitter(java.lang.String format, java.lang.String emitterId)` Sets default emitter for an output format.
`void` | `setEmitterConfiguration(java.lang.String format, java.lang.Object emitterConfig)` sets configuration for a specific extension to engine, i.e., an emitter extension
`void` | `setEngineContext(org.eclipse.birt.core.framework.IPlatformContext context)` Deprecated. use setPlatformContext instead.
`void` | `setEngineHome(java.lang.String birtHome)` set the BIRT_HOME system property
`void` | `setLogConfig(java.lang.String directoryName, java.util.logging.Level level)` set log configuration, i.e., log file name prefix and log level
`void` | `setLogFile(java.lang.String filename)` Set the name of the log file.
`void` | `setLogger(java.util.logging.Logger logger)` set the logger used by the report engine.
`void` | `setLogMaxBackupIndex(int maxBackupIndex)` Set the maximum number of backup files to keep around.
`void` | `setLogRollingSize(int size)` Set the maximum number of bytes that the output file is allowed to reach before being rolled over to backup files.
`void` | `setMaxRowsPerQuery(int maxRows)` Deprecated.
`void` | `setReportDocumentLockManager(IReportDocumentLockManager manager)` Set report document lock manager
`void` | `setResourceLocator(org.eclipse.birt.report.model.api.IResourceLocator resourceLocator)`
`void` | `setResourcePath(java.lang.String resourcePath)`
`void` | `setStatusHandler(IStatusHandler handler)` sets the handler for reporting report running status.
`void` | `setTempDir(java.lang.String tmpDir)` sets the directory for temporary files
`java.lang.String` | `toString()` Output properties for debug tracing

Methods inherited from class org.eclipse.birt.core.framework.PlatformConfig
`getBIRTHome, getOSGiArguments, getOSGiConfig, getPlatformContext, getProperties, getProperty, setBIRTHome, setOSGiArguments, setOSGiConfig, setPlatformContext, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EngineConfig

    public EngineConfig()

  constructor

Method Detail

### setEngineHome

    public void setEngineHome(java.lang.String birtHome)

  set the BIRT_HOME system property

  Parameters:
    `birtHome` - the value for the BIRT_HOMT configuration variable

### setConfigurationVariable

    public void setConfigurationVariable(java.lang.String name,
                                         java.lang.String value)

  Deprecated. use setProperty() instead.

  sets a configuration variable that is available through scripting in engine

  Parameters:
    `name` - configuration variable name
    `value` - configuration variable value

### getConfigMap

    public java.util.HashMap getConfigMap()

  Deprecated. use getProperties() instead.

  returns a hash map that contains all the configuration objects

  Returns:
    the configuration object map

### setLogConfig

    public void setLogConfig(java.lang.String directoryName,
                             java.util.logging.Level level)

  set log configuration, i.e., log file name prefix and log level

  Parameters:
    `directoryName` - - the directory name of the log file(e.g C:\Log). Engine appends a file name with date and time to the directory name (e.g. C:\Log\BIRT_Engine_2005_02_26_11_26_56.log).
    `level` - the engine log level

### setLogger

    public void setLogger(java.util.logging.Logger logger)

  set the logger used by the report engine. the logger will overides the setLogConfig().

  Parameters:
    `logger` -

### getLogger

    public java.util.logging.Logger getLogger()

  return the user's logger set through setLogger.

  Returns:
    the logger setted by user. NULL if the user doesn't set it.

### getScriptObjects

    public java.util.HashMap getScriptObjects()

  Deprecated. use getAppContext() instead.

  returns a hash map that contains all the app-specific, app-wide scriptable Java objects

  Returns:
    a hash map with all the app-specific, app-wide scriptable Java objects

### addScriptableJavaObject

    public void addScriptableJavaObject(java.lang.String jsName,
                                        java.lang.Object obj)

  Deprecated. the user need add the object to the appContext directly.

  defines an additional Java object that is exposed to BIRT scripting

  Parameters:
    `jsName` - the name that the object is referenced in JavaScript
    `obj` - the Java object that is wrapped and scripted

### getAppContext

    public java.util.HashMap getAppContext()

  returns a hash map that contains appContext

  Returns:

### setAppContext

    public void setAppContext(java.util.HashMap appContext)

  Set appContext

  Parameters:
    `appContext` -

### setEmitterConfiguration

    public void setEmitterConfiguration(java.lang.String format,
                                        java.lang.Object emitterConfig)

  sets configuration for a specific extension to engine, i.e., an emitter extension

  Parameters:
    `extensionID` - identifier for the emitter
    `extensionConfig` - configuration object for the emitter, which must be an instance of HashMap or IRenderOption

### getEmitterConfigs

    public java.util.HashMap getEmitterConfigs()

  gets a map for emitter configuration objects

  Returns:
    emitter configuration

### getStatusHandler

    public IStatusHandler getStatusHandler()

  returns the status handler

  Returns:
    the status handler

### setStatusHandler

    public void setStatusHandler(IStatusHandler handler)

  sets the handler for reporting report running status.

  Parameters:
    `handler` - status handler

### getLogLevel

    public java.util.logging.Level getLogLevel()

  Get the level of the log file

  Returns:
    level

### getLogDirectory

    public java.lang.String getLogDirectory()

  Get directory of the log file

  Returns:
    log directory

### getLogFile

    public java.lang.String getLogFile()

  Get the name of the log file.

  Returns:
    log file name

### setLogFile

    public void setLogFile(java.lang.String filename)

  Set the name of the log file.

  Parameters:
    `filename` -

### getLogRollingSize

    public int getLogRollingSize()

  Get the maximum number of bytes that the output file is allowed to reach before being rolled over to backup files.

  Returns:

### setLogRollingSize

    public void setLogRollingSize(int size)

  Set the maximum number of bytes that the output file is allowed to reach before being rolled over to backup files.

  Parameters:
    `size` -

### getLogMaxBackupIndex

    public int getLogMaxBackupIndex()

  Returns the value of the MaxBackupIndex option.

  Returns:

### setLogMaxBackupIndex

    public void setLogMaxBackupIndex(int maxBackupIndex)

  Set the maximum number of backup files to keep around.

  Parameters:
    `maxBackupIndex` -

### setTempDir

    public void setTempDir(java.lang.String tmpDir)

  sets the directory for temporary files

  Parameters:
    `tmpDir` - the directory for temporary files

### getTempDir

    public java.lang.String getTempDir()

  returns engine temporary directory for temporary files

  Returns:
    Returns the Temp Directory for engine to write temp files

### getReportDocumentLockManager

    public IReportDocumentLockManager getReportDocumentLockManager()

  return a lock manager. The lock manager is used to lock the report document opened by this engine.

  Returns:
    lock manager, NULL if not set.

### setReportDocumentLockManager

    public void setReportDocumentLockManager(IReportDocumentLockManager manager)

  Set report document lock manager

  Parameters:
    `manager` - lock manager

### setEngineContext

    public void setEngineContext(org.eclipse.birt.core.framework.IPlatformContext context)

  Deprecated. use setPlatformContext instead.

  set the framework context

  Parameters:
    `context` - the platform context

### getServletContext

    public org.eclipse.birt.core.framework.IPlatformContext getServletContext()

  Deprecated. use getPlatformContext instead

  set the framework context

  Returns:
    context, the framework context

### getResourceLocator

    public org.eclipse.birt.report.model.api.IResourceLocator getResourceLocator()

  Returns:
    the resourceLocator

### setResourceLocator

    public void setResourceLocator(org.eclipse.birt.report.model.api.IResourceLocator resourceLocator)

  Parameters:
    `resourceLocator` - the resourceLocator to set

### getResourcePath

    public java.lang.String getResourcePath()

  Returns:
    the resourcePath

### setResourcePath

    public void setResourcePath(java.lang.String resourcePath)

  Parameters:
    `resourcePath` - the resourcePath to set

### setMaxRowsPerQuery

    public void setMaxRowsPerQuery(int maxRows)

  Deprecated.

  Set the max rows per query

  Parameters:
    `maxRows:` - max rows

### getMaxRowsPerQuery

    public int getMaxRowsPerQuery()

  Deprecated.

  Get the max rows per query

  Returns:
    the max rows per query

### setDefaultEmitter

    public void setDefaultEmitter(java.lang.String format,
                                  java.lang.String emitterId)

  Sets default emitter for an output format.

  Parameters:
    `format` - the format.
    `emitterId` - the id of the default emitter.

### getDefaultEmitter

    public java.lang.String getDefaultEmitter(java.lang.String format)

  Gets default emitter id of an output format.

  Parameters:
    `format` - the format.
  Returns:
    the id of the default emitter of this output format, "null" is returned if default emitter is not set for this format.

### toString

    public java.lang.String toString()

  Output properties for debug tracing

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.